tigase.monitor.tasks

## Class ScriptTask

- java.lang.Object
- - tigase.monitor.tasks.ScriptTask

- All Implemented Interfaces:
    Initializable, MonitorTask
  Direct Known Subclasses:
    ScriptTimerTask

      public class ScriptTask
      extends Object
      implements MonitorTask, Initializable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Bindings` | `bindings`
    `protected ScriptEngineManager` | `scriptEngineManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bindings` | `getBindings()`
    `ScriptEngineManager` | `getScriptEngineManager()`
    `void` | `initialize()`
    `void` | `run(String script, String scriptExtension)`
    `void` | `setBindings(Bindings bindings)`
    `void` | `setScriptEngineManager(ScriptEngineManager scriptEngineManager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bindings

          @Inject
          protected Bindings bindings

    - #### scriptEngineManager

          @Inject
          protected ScriptEngineManager scriptEngineManager

  - ### Constructor Detail

    - #### ScriptTask

          public ScriptTask()

  - ### Method Detail

    - #### getBindings

          public Bindings getBindings()

    - #### getScriptEngineManager

          public ScriptEngineManager getScriptEngineManager()

    - #### initialize

          public void initialize()

      Specified by:
        `initialize` in interface `Initializable`

    - #### run

          public void run(String script,
                 String scriptExtension)
                   throws ScriptException

      Throws:
        `ScriptException`

    - #### setBindings

          public void setBindings(Bindings bindings)

    - #### setScriptEngineManager

          public void setScriptEngineManager(ScriptEngineManager scriptEngineManager)

Copyright © 2015 "Tigase, Inc.". All rights reserved.